<template>
    <div id="app">
        <header v-if="!this.$route.fullPath.match(/^\/admin.*/)">
            <a href="/">PikaTrack</a>
            <a v-if="uid" href="/activity/new">Upload an activity</a>

            <div class="right-nav"></div>
            <NavUserDropdown v-if="uid" />
            <a v-if="!uid" href="/login">Login</a>
            <a v-if="!uid" href="/signup">Sign up</a>
            <a href="/contact">Report issue</a>
        </header>
        <header v-if="this.$route.fullPath.match(/^\/admin.*/)">
            <a href="/">PikaTrack</a>
            <a href="/admin/users">Users</a>
            <a href="/admin/application_settings">Application Settings</a>
            <div class="right-nav"></div>
            <NavUserDropdown v-if="uid" />
        </header>
        <div class="content" v-if="!loading">
            <router-view/>
        </div>
        <notifications group="error"/>
    </div>
</template>

<script>
    import NavUserDropdown from './components/partials/NavUserDropdown'

    export default {
        name: 'App',
        components: {
            NavUserDropdown
        },
        data() {
            return {
                uid: localStorage.getItem('uid'),
                loading: true
            }
        },
        mounted() {
            // We load the current users profile on every page because it is often useful for things 
            // like checking if they are an admin
            if (this.uid) {
                this.$store.dispatch('show_profile')
            }
            this.$store.dispatch('application_settings_index').then(() => {this.loading = false})
            console.log(this.$route)
        }
    }
</script>

<style>
    .right-nav {
        margin-left: auto
    }
</style>